Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::Signal4< R, P1, P2, P3, P4 > Class Template Reference

A template for a signal passing four arguments of type P1, P2, P3 and P4, and returning a value of type R. More...

`#include <inti/glib/signals.h>`

Inheritance diagram for Inti::G::Signal4< R, P1, P2, P3, P4 >:

List of all members.

## Public Types

- typedef Slot4< R, P1, P2,
  P3, P4 > SlotType
    Function signature for handlers connecting to the signal.

## Public Member Functions

- Signal4 (const char *name)
    Constructor.
- ~Signal4 ()
    Destructor.
- Connection connect (TypeInstance *instance, const SlotType *slot, bool after=false) const
    Connect a slot to the signal.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4>
class Inti::G::Signal4< R, P1, P2, P3, P4 >

A template for a signal passing four arguments of type P1, P2, P3 and P4, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4>
Inti::G::Signal4< R, P1, P2, P3, P4 >::Signal4 | ( | const char * | name | ) | `[inline]`

Constructor.

Parameters:

  name | The GTK+ name for the signal.

## Member Function Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4>
Connection Inti::G::Signal4< R, P1, P2, P3, P4 >::connect | ( | TypeInstance * | instance,
|  | const SlotType * | slot,
|  | bool | after = false
| ) | const`[inline]`

Connect a slot to the signal.

Parameters:

  instance | An object derived from G::TypeInstance.
  slot | A slot of type Slot4<R, P1, P2, P3, P4>.
  after | Set true to call the user-defined slot after the signal, or false to let the signal's default behavior preside.

Returns:
  A connection object.

The connection object can be used to control the signal connection, either by calling block(), unblock() or disconnect(). You don't need to call discconnect() unless you have good reason to. GTK+ signals are automatically disconnected when an object gets destroyed.

The documentation for this class was generated from the following file:

- glib/signals.h

Main Page - Footer